var allTripsShowing = true;
jQuery(document).ready(function ($) {
 var rows = $('table tr[data-max-time]');
 function filterPastTrips () {
   var now = Math.floor(Date.now() / 1000);
   rows.each(function (index, row) {
     if(Number(row.dataset.maxTime) < now) {
       row.style.display = 'none';
     }
   });
   allTripsShowing = false;
 }
 function showAllTrips() {
   rows.each(function (index, row) {
     row.style.display = '';
   });
   allTripsShowing = true;
 }
 $('#toggle-past-trips').click(function (event) {
   if(allTripsShowing) {
     filterPastTrips();
     event.target.innerText = 'Show All Trips';
   } else {
     showAllTrips();
     event.target.innerText = 'Show Remaining Trips';
   }
 });
});
